#include "include/Odometry.hpp"

Odometry::Odometry() : x_position(0), y_position(0), angular_orientation(0) {

}

Odometry::Odometry(double x_position, double y_position, double angular_orientation) : x_position(x_position), y_position(y_position), angular_orientation(angular_orientation) {

}

double Odometry::get_x_position() const {
  return x_position;
}

double Odometry::get_y_position() const {
  return y_position;
}

double Odometry::get_angular_orientation() const {
  return angular_orientation;
}
